/**
 *	Copyright (C) 2011-2015 Docuteam GmbH
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 3
 *	as published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package ch.docuteam.darc.exceptions;

import ch.docuteam.darc.mdconfig.MetadataElement;

/**
 * This exception gets thrown when the value of a dynamic metadata element is modified but this metadata element's allowed values list doesn't allow the new value.
 *
 * @author denis
 *
 */
public class MetadataElementAllowedValuesException extends Exception
{
	private MetadataElement			metadataElement;


	public MetadataElementAllowedValuesException(String value, MetadataElement metadataElement)
	{
		super(value);
		this.metadataElement = metadataElement;
	}


	public MetadataElement getMetadataElement()
	{
		return this.metadataElement;
	}

}
