/**
 *	Copyright (C) 2011-2015 Docuteam GmbH
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 3
 *	as published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package ch.docuteam.darc.exceptions;

/**
 * This exception gets thrown when the attempt is made to save a SIP to a folder which exists but is not empty.
 *
 * @author denis
 *
 */
public class OriginalSIPIsMissingException extends Exception
{
	private String			originalSIPFolderPath;

	//	===========================================================================================
	//	========	Methods					=======================================================
	//	===========================================================================================

	//	========	Constructors Public		=======================================================

	public OriginalSIPIsMissingException(String originalSIPFolderPath)
	{
		super("The original SIP could not be found: '" + originalSIPFolderPath + "'");

		this.originalSIPFolderPath = originalSIPFolderPath;
	}

	//	--------		Accessing			-------------------------------------------------------

	public String getOriginalSIPFolderPath()
	{
		return this.originalSIPFolderPath;
	}

}
