/**
 *	Copyright (C) 2011-2015 Docuteam GmbH
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 3
 *	as published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package ch.docuteam.darc.exceptions;

import ch.docuteam.darc.mets.Document;

/**
 * This exception gets thrown when a zipped SIP does not contain the mets.xml file at the topmost level.
 *
 * @author denis
 *
 */
public class ZIPDoesNotContainMETSFileException extends Exception
{
	private String			sipPath;

	//	===========================================================================================
	//	========	Methods					=======================================================
	//	===========================================================================================

	//	========	Constructors Public		=======================================================

	public ZIPDoesNotContainMETSFileException(String sipPath)
	{
		super("'" + Document.DefaultMETSFileName + "' not found in ZIP-file '" + sipPath + "'");

		this.sipPath = sipPath;
	}

	//	--------		Accessing			-------------------------------------------------------

	public String getSIPPath()
	{
		return this.sipPath;
	}

}
