/**
 *	Copyright (C) 2011-2015 Docuteam GmbH
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 3
 *	as published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package ch.docuteam.darc.mdconfig;

import ch.docuteam.darc.mets.structmap.NodeAbstract;
import ch.docuteam.tools.out.Tracer;

/**
 * A MetadataElementSetterPostAction that simply writes something into SysOut (for testing).
 *
 * @author denis
 *
 */
public class MetadataElementSetterPostActionSysOut implements MetadataElementSetterPostAction
{

	/* (non-Javadoc)
	 * @see ch.docuteam.darc.mdconfig.MetadataElementSetterPostAction#execute(java.lang.String, java.lang.String, ch.docuteam.darc.mets.structmap.NodeAbstract, ch.docuteam.darc.mdconfig.MetadataElement)
	 */
	@Override
	public void execute(String oldValue, String newValue, NodeAbstract context, MetadataElement metadataElement, int index)
	{
		Tracer.trace("PostAction: changed in node '" + context.getLabel() + "' dynamic metadata value '" + metadataElement.getId() + "' at index position: " + index + " from '" + oldValue + "' to '" + newValue + "'");
	}

}
